# mongoc_stream_tls_check_cert()

## Synopsis

    bool
    mongoc_stream_tls_check_cert (mongoc_stream_t *stream,
                                  const char      *host);

## Parameters

stream | A mongoc_stream_tls_t.
host | A UTF-8 string holding the hostname used in socket creation. This value is what will be matched against the server provided certificate.

The mongoc_stream_tls_check_cert() function shall perform a RFC-6125 certificate verification.

## Returns

The mongoc_stream_tls_check_cert() function returns true if the certificate is valid was successful. If false, openssl errors may be set.